﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __InventoryDetail = LightSwitchApplication.InventoryDetail

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class InventoryDetail
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __InventoryDetail, __InventoryDetail.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the InventoryDetail entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __InventoryDetail))
            MyBase.New(entitySet)
            
            __InventoryDetail.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InventoryDetail_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InventoryDetail_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __InventoryDetail.DetailsClass.GetValue(Me, __InventoryDetail.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __InventoryDetail.DetailsClass.SetValue(Me, __InventoryDetail.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __InventoryDetail.DetailsClass.GetValue(Me, __InventoryDetail.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __InventoryDetail.DetailsClass.SetValue(Me, __InventoryDetail.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property UnitPrice As Decimal
            Get
                Return __InventoryDetail.DetailsClass.GetValue(Me, __InventoryDetail.DetailsClass.PropertySetProperties.UnitPrice)
            End Get
            Set
                __InventoryDetail.DetailsClass.SetValue(Me, __InventoryDetail.DetailsClass.PropertySetProperties.UnitPrice, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub UnitPrice_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub UnitPrice_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub UnitPrice_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Quantity As Double
            Get
                Return __InventoryDetail.DetailsClass.GetValue(Me, __InventoryDetail.DetailsClass.PropertySetProperties.Quantity)
            End Get
            Set
                __InventoryDetail.DetailsClass.SetValue(Me, __InventoryDetail.DetailsClass.PropertySetProperties.Quantity, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Quantity_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Quantity_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Quantity_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property InventoryHeader As Global.LightSwitchApplication.InventoryHeader
            Get
                Return __InventoryDetail.DetailsClass.GetValue(Me, __InventoryDetail.DetailsClass.PropertySetProperties.InventoryHeader)
            End Get
            Set
                __InventoryDetail.DetailsClass.SetValue(Me, __InventoryDetail.DetailsClass.PropertySetProperties.InventoryHeader, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InventoryHeader_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InventoryHeader_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InventoryHeader_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Supplier As Global.LightSwitchApplication.Supplier
            Get
                Return __InventoryDetail.DetailsClass.GetValue(Me, __InventoryDetail.DetailsClass.PropertySetProperties.Supplier)
            End Get
            Set
                __InventoryDetail.DetailsClass.SetValue(Me, __InventoryDetail.DetailsClass.PropertySetProperties.Supplier, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Supplier_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Supplier_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Supplier_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __InventoryDetail, _
                __InventoryDetail.DetailsClass, _
                __InventoryDetail.DetailsClass.IImplementation, _
                __InventoryDetail.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __InventoryDetail, __InventoryDetail.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __InventoryDetail, __InventoryDetail.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __InventoryDetail.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __InventoryDetailEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __InventoryDetail, __InventoryDetail.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __InventoryDetail, __InventoryDetail.DetailsClass).Entry( _
                    AddressOf __InventoryDetail.DetailsClass.__InventoryDetail_CreateNew, _
                    AddressOf __InventoryDetail.DetailsClass.__InventoryDetail_Created, _
                    AddressOf __InventoryDetail.DetailsClass.__InventoryDetail_AllowSaveWithErrors)
            Private Shared Function __InventoryDetail_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __InventoryDetail)) As __InventoryDetail
                Return New __InventoryDetail(es)
            End Function
            Private Shared Sub __InventoryDetail_Created(e As __InventoryDetail)
                e.InventoryDetail_Created()
            End Sub
            Private Shared Function __InventoryDetail_AllowSaveWithErrors(e As __InventoryDetail) As Boolean
                Dim result As Boolean = False
                e.InventoryDetail_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __InventoryDetail, __InventoryDetail.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __InventoryDetail, __InventoryDetail.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __InventoryDetail.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __InventoryDetail, __InventoryDetail.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InventoryDetail.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InventoryDetail.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property UnitPrice As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InventoryDetail.DetailsClass.PropertySetProperties.UnitPrice),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property Quantity As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Double)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InventoryDetail.DetailsClass.PropertySetProperties.Quantity),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Double))
                    End Get
                End Property
                
                Public ReadOnly Property InventoryHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Global.LightSwitchApplication.InventoryHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InventoryDetail.DetailsClass.PropertySetProperties.InventoryHeader),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Global.LightSwitchApplication.InventoryHeader))
                    End Get
                End Property
                
                Public ReadOnly Property Supplier As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Global.LightSwitchApplication.Supplier)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InventoryDetail.DetailsClass.PropertySetProperties.Supplier),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Global.LightSwitchApplication.Supplier))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property UnitPrice As Decimal
                Shadows Property Quantity As Double
                Shadows Property InventoryHeader As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                Shadows Property Supplier As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InventoryDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Integer).Data), d As __InventoryDetail.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __InventoryDetail) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __InventoryDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __InventoryDetail.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __InventoryDetail.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __InventoryDetail)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InventoryDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Byte()).Data), d As __InventoryDetail.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __InventoryDetail) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __InventoryDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __InventoryDetail.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __InventoryDetail.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __InventoryDetail)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly UnitPrice As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Decimal).Entry( _
                        "UnitPrice", _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._UnitPrice_Stub, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._UnitPrice_ComputeIsReadOnly, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._UnitPrice_Validate, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._UnitPrice_GetImplementationValue, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._UnitPrice_SetImplementationValue, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._UnitPrice_OnValueChanged)
                Private Shared Sub _UnitPrice_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InventoryDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Decimal).Data), d As __InventoryDetail.DetailsClass, sf As Object)
                    c(d, d._UnitPrice, sf)
                End Sub
                Private Shared Function _UnitPrice_ComputeIsReadOnly(e As __InventoryDetail) As Boolean
                    Dim result As Boolean = False
                    e.UnitPrice_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _UnitPrice_Validate(e As __InventoryDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.UnitPrice_Validate(r)
                End Sub
                Private Shared Function _UnitPrice_GetImplementationValue(d As __InventoryDetail.DetailsClass) As Decimal
                    Return d.ImplementationEntity.UnitPrice
                End Function
                Private Shared Sub _UnitPrice_SetImplementationValue(d As __InventoryDetail.DetailsClass, v As Decimal)
                    d.ImplementationEntity.UnitPrice = v
                End Sub
                Private Shared Sub _UnitPrice_OnValueChanged(e As __InventoryDetail)
                    e.UnitPrice_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Quantity As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Double).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Double).Entry( _
                        "Quantity", _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Quantity_Stub, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Quantity_ComputeIsReadOnly, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Quantity_Validate, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Quantity_GetImplementationValue, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Quantity_SetImplementationValue, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Quantity_OnValueChanged)
                Private Shared Sub _Quantity_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InventoryDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Double).Data), d As __InventoryDetail.DetailsClass, sf As Object)
                    c(d, d._Quantity, sf)
                End Sub
                Private Shared Function _Quantity_ComputeIsReadOnly(e As __InventoryDetail) As Boolean
                    Dim result As Boolean = False
                    e.Quantity_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Quantity_Validate(e As __InventoryDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Quantity_Validate(r)
                End Sub
                Private Shared Function _Quantity_GetImplementationValue(d As __InventoryDetail.DetailsClass) As Double
                    Return d.ImplementationEntity.Quantity
                End Function
                Private Shared Sub _Quantity_SetImplementationValue(d As __InventoryDetail.DetailsClass, v As Double)
                    d.ImplementationEntity.Quantity = v
                End Sub
                Private Shared Sub _Quantity_OnValueChanged(e As __InventoryDetail)
                    e.Quantity_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly InventoryHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Global.LightSwitchApplication.InventoryHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Global.LightSwitchApplication.InventoryHeader).Entry( _
                        "InventoryHeader", _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._InventoryHeader_Stub, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._InventoryHeader_ComputeIsReadOnly, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._InventoryHeader_Validate, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._InventoryHeader_GetCoreImplementationValue, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._InventoryHeader_GetImplementationValue, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._InventoryHeader_SetImplementationValue, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._InventoryHeader_Refresh, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._InventoryHeader_OnValueChanged)
                Private Shared Sub _InventoryHeader_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InventoryDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Global.LightSwitchApplication.InventoryHeader).Data), d As __InventoryDetail.DetailsClass, sf As Object)
                    c(d, d._InventoryHeader, sf)
                End Sub
                Private Shared Function _InventoryHeader_ComputeIsReadOnly(e As __InventoryDetail) As Boolean
                    Dim result As Boolean = False
                    e.InventoryHeader_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _InventoryHeader_Validate(e As __InventoryDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.InventoryHeader_Validate(r)
                End Sub
                Private Shared Function _InventoryHeader_GetCoreImplementationValue(d as __InventoryDetail.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.InventoryHeader
                End Function
                Private Shared Function _InventoryHeader_GetImplementationValue(d as __InventoryDetail.DetailsClass) As Global.LightSwitchApplication.InventoryHeader
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.InventoryHeader, Global.LightSwitchApplication.InventoryHeader.DetailsClass)(__InventoryDetail.DetailsClass.PropertySetProperties.InventoryHeader, d._InventoryHeader)
                End Function
                Private Shared Sub _InventoryHeader_SetImplementationValue(d As __InventoryDetail.DetailsClass, v As Global.LightSwitchApplication.InventoryHeader)
                    d.SetImplementationValue(__InventoryDetail.DetailsClass.PropertySetProperties.InventoryHeader, d._InventoryHeader, Sub(i, ev) i.InventoryHeader = ev, v)
                End Sub
                Private Shared Sub _InventoryHeader_Refresh(d As __InventoryDetail.DetailsClass)
                    d.RefreshNavigationProperty(__InventoryDetail.DetailsClass.PropertySetProperties.InventoryHeader, d._InventoryHeader)
                End Sub
                Private Shared Sub _InventoryHeader_OnValueChanged(e As __InventoryDetail)
                    e.InventoryHeader_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Supplier As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Global.LightSwitchApplication.Supplier).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Global.LightSwitchApplication.Supplier).Entry( _
                        "Supplier", _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Supplier_Stub, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Supplier_ComputeIsReadOnly, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Supplier_Validate, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Supplier_GetCoreImplementationValue, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Supplier_GetImplementationValue, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Supplier_SetImplementationValue, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Supplier_Refresh, _
                        AddressOf __InventoryDetail.DetailsClass.PropertySetProperties._Supplier_OnValueChanged)
                Private Shared Sub _Supplier_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InventoryDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Global.LightSwitchApplication.Supplier).Data), d As __InventoryDetail.DetailsClass, sf As Object)
                    c(d, d._Supplier, sf)
                End Sub
                Private Shared Function _Supplier_ComputeIsReadOnly(e As __InventoryDetail) As Boolean
                    Dim result As Boolean = False
                    e.Supplier_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Supplier_Validate(e As __InventoryDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Supplier_Validate(r)
                End Sub
                Private Shared Function _Supplier_GetCoreImplementationValue(d as __InventoryDetail.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.Supplier
                End Function
                Private Shared Function _Supplier_GetImplementationValue(d as __InventoryDetail.DetailsClass) As Global.LightSwitchApplication.Supplier
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.Supplier, Global.LightSwitchApplication.Supplier.DetailsClass)(__InventoryDetail.DetailsClass.PropertySetProperties.Supplier, d._Supplier)
                End Function
                Private Shared Sub _Supplier_SetImplementationValue(d As __InventoryDetail.DetailsClass, v As Global.LightSwitchApplication.Supplier)
                    d.SetImplementationValue(__InventoryDetail.DetailsClass.PropertySetProperties.Supplier, d._Supplier, Sub(i, ev) i.Supplier = ev, v)
                End Sub
                Private Shared Sub _Supplier_Refresh(d As __InventoryDetail.DetailsClass)
                    d.RefreshNavigationProperty(__InventoryDetail.DetailsClass.PropertySetProperties.Supplier, d._Supplier)
                End Sub
                Private Shared Sub _Supplier_OnValueChanged(e As __InventoryDetail)
                    e.Supplier_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _UnitPrice As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Quantity As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Double).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _InventoryHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Global.LightSwitchApplication.InventoryHeader).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Supplier As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryDetail, __InventoryDetail.DetailsClass, Global.LightSwitchApplication.Supplier).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
